Subject: [lojban] Re: importing ro

From: Jordan DeLong <[email-masked]>
Date: Wed, 6 Nov 2002 15:47:36 -0600

On Wed, Nov 06, 2002 at 08:22:16PM +0200, Adam Raizen wrote:
> la djorden. cusku di'e
[...]
> >"naku ro pavyseljirna cu blabi" is not a true statement, because
> >it makes more claims than you are giving it credit for, and you
> >only contradicted one of them. In fact, it's not even a true
> >statement with a nonimporting universal quantifier, if we keep our
> >negation boundary rules unchanged (more on this below).
> 
> "naku ro pavyseljirna xirma cu blabi" is the negation of "ro 
> pavyseljirna xirma cu blabi", and so one of them must be true and the 
> other false; that is simply the definition of negation. If ro has 
> existential import, as the book seems to claim at first glance, then "ro 
> pavyseljirna xirma cu blabi" is false, and its negation is true. This is 
> not just Logic, but also what CLL says (15.2): "The most important rule 
> about bridi negation is that if a bridi is true, its negation is false, 
> and vice versa." [twice, a few paragraphs apart] (bridi negation is 
> demonstrated to be putting 'na' in front of the selbri, which is 
> elsewhere explained to be equivalent to putting 'naku' before the whole 
> bridi.)

Like I said, you're only negating one of the bridi.

> >It should be noted, btw, that:
> >
> >	no pavyseljirna cu blabi
> >
> >is a false statement because no imports also, since it can be moved
> >around.
> 
> If it is indeed false, then either 'su'o pavyseljirna' is not importing 
> (probably not the best option), or 'no pavyseljirna' != 'naku su'o 
> pavyseljirna', which is extremely counterintuitive, no matter how 
> intuitive an importing ro might be.

With a *nonimporting* ro,
naku ro pavyseljirna != su'o pavyseljirna naku
(and the book says this is equal).

I think you misunderstood what I said about "no". "no da" imports
if "ro da" imports, because of the negation boundary rules:

no pavyseljirna ==
naku su'o da poi pavyseljirna ==
ro da poi pavyseljirna ku'o naku

This supports AndR's view that it isn't *ro* that imports (i.e. ro
can = 0 in things like lo'i [ro] broda, which is both useful and
intuitive), but it's the "da" which is present in the "ro da" claims
which imports.

None of this contradicts itself, *or* (more importantly) the book
(which is consistent here, though not fully explained).

> >Actually the more I think about this the more I like importing
> >universals for lojban. Take a look at the generalization of what
> >you were talking about:
> >
> >	naku ro da poi gerku cu broda
> >
> >Now; imagine that ro *doesn't* import. The above sentence, then,
> >can't have the negation boundary moved:
> >
> >	su'o da poi gerku naku broda
> >
> >which claims there is at least one gerku.
> 
> If ro doesn't import, then your first sentence would use an importing 
> "not all", since with the empty set for the set of gerku the sentence 
> without "naku" is vacuously true, and thus its negation would be false. 
> Therefore, there is no problem with equating that with the second 
> sentence; both are importing.

So with a nonimporting "ro da" we'd keep "naku ro da ..." as
importing? This is a lot less elegant than the way AndR suggests,
which is consistant with the book and quite usable (it allows "roda"
to import while also allowing "lo'i broda" to refer to an empty
set).

> >So what's really going on is what AndR says here, I think: It is
> >"da" that imports, not ro. Which is both consistent with book and
> >makes sense (and i'm even starting to like it better than nonimporting
> >foo).
> 
> It can be made consistent, but then we would have to drop the ability to 
> move negation across quantifiers while switching the quantifier, which 
> is also inconsistent with the book.

You have yet to show any inconsistency. Just repeating that one
is there doesn't do much.

-- 
Jordan DeLong - [email-masked]
lu zo'o loi censa bakni cu terzba le zaltapla poi xagrai li'u
sei la mark. tuen. cusku